import request from '@/utils/request'

// 查询AI外呼客服呼叫详情列表
export function listDetails(query) {
  return request({
    url: '/qw/groupVoiceMsgUser/details/list',
    method: 'get',
    params: query
  })
}

// 查询AI外呼客服呼叫详情详细
export function getDetails(id) {
  return request({
    url: '/qw/groupVoiceMsgUser/details/' + id,
    method: 'get'
  })
}
// 查询AI外呼客服呼叫详情详细
export function getBySessionIdDetails(sessionId) {
  return request({
    url: '/qw/groupVoiceMsgUser/details/queryBySessionId/' + sessionId,
    method: 'get'
  })
}

// 新增AI外呼客服呼叫详情
export function addDetails(data) {
  return request({
    url: '/qw/groupVoiceMsgUser/details',
    method: 'post',
    data: data
  })
}

// 修改AI外呼客服呼叫详情
export function updateDetails(data) {
  return request({
    url: '/qw/groupVoiceMsgUser/details',
    method: 'put',
    data: data
  })
}

// 删除AI外呼客服呼叫详情
export function delDetails(id) {
  return request({
    url: '/qw/groupVoiceMsgUser/details/' + id,
    method: 'delete'
  })
}

// 导出AI外呼客服呼叫详情
export function exportDetails(query) {
  return request({
    url: '/qw/groupVoiceMsgUser/details/export',
    method: 'get',
    params: query
  })
}

// 导出AI外呼客服呼叫详情
export function statisticsAiCallDetails(data) {
  return request({
    url: '/qw/groupVoiceMsgUser/details/statisticsAiCallDetails',
    method: 'post',
    data: data
  })
}
// 导出AI外呼客服呼叫详情
export function exportStatistics(data) {
  return request({
    url: '/qw/groupVoiceMsgUser/details/exportStatistics',
    method: 'post',
    data: data
  })
}

